Subject: JMP> Re: PMP> IETF concerns regarding the Printer MIB draft???

From: Harry Lewis <[email-masked]>
Date: Mon, 18 Aug 1997 18:04:06 -0400

Thanks, Chris for your crisp, concise position, which I support. I would also
like to know if either you, Lloyd or Ron ever received any kind of "rejection"
from the IETF regarding the JMP charter.  Is a charter rejected if you ask for
one and "nothing" happens, or should there be something to reference regarding
the rejection, why etc.? I think the later, and I do not recall anyone sharing
such a rejection with us. (Of course, I understand a charter is not granted,
either, if "nothing" happens). What is you position on the charter of JMP?

Harry Lewis - IBM Printing Systems

------- Forwarded by Harry Lewis/Boulder/IBM on 08/18/97 03:53 PM --------

[email-masked] on 08/12/97 11:51:33 PM
Please respond to [email-masked] @ internet
To: [email-masked] @ internet
cc: [email-masked] @ internet
Subject: Re: PMP> IETF concerns regarding the Printer MIB draft???

Neither Lloyd Young nor I have received any IETF communication
regarding problems with the Printer MIB or a decision to hold it up
from going to Draft.  In fact, the MIB document was submitted, and our
interoperability report was submitted, but the formal email request
from the WG Chairs to advance to Draft has not been submitted yet.

The PMP met every single requirement for advancing to Draft.  The
interoperability test results were meticulous.  If there are technical
decisions that need to be explained and clarified, then we will go
ahead and address them with the IESG and our ADs.

I have sent off more email requesting clarification on this.

-----------------------------------------------------------------------------
--==--==--==-  Chris Wellens             President & CEO
==--==--==--=  Email: [email-masked]     Web: http://www.iwl.com/
--==--==--==-  InterWorking Labs, Inc.   244 Santa Cruz Ave, Aptos, CA 95003
==--==--==--=  Tel:  +1 408 685 3190     Fax:  +1 408 662 9065
-----------------------------------------------------------------------------

On Tue, 12 Aug 1997, JK Martin wrote:

> >From Randy Turner's recent minutes on the IPP WG meeting
> at the IETF plenary last week:
>
> 16. Use of MIME types for "document-format"
>
>     Currently, the model document specifies the use of Printer MIB
>     enumerations for specification of document-format. In addition,
>     at a recent IPP meeting, it was agreed that enumerations for
>     PDF and HTML would be added to this list.
>
>     Upon hearing the proposed alignment with the Printer MIB for
>     these values, "a lively discussion ensued".
>
>     It was the opinion of Larry Masinter (chair of HTTP WG), Keith
>     Moore, and most of the IETF audience that alignment with the
>     Printer MIB was a mistake, and that we should focus on sticking
>     with MIME-type specifications.
>
>     Further, Keith Moore went on to say that the current draft of
>     the Printer MIB was "broken", and that he is seriously
>     considering delaying advancement of the Printer MIB draft until
>     this (and possibly other) issues are addressed.  Keith did not
>     go into any detailed analysis of why the MIB was broken, but
>     seemed to suggest that there were more than one reason why it's
>     broken. He went on to say that its possible that (ironically)
>     the IESG might suggest to the working group that the Printer
>     MIB should align itself with the MIME-types and change the way
>     that interpreters are enumerated in the MIB. He suggested that
>     the group should consider strings, and not enumerations, to
>     specify these types (i.e., MIME types). Keith was pretty adamant
>     on this issue and would have conntinued discussion, but Steve Z.
>     and Scott suggested that discussion on the Printer MIB was
>     not appropriate at an IPP WG meeting.
>
>
> This is *most* disconcerting.  Can someone shed some light on this
> situation?
>
> In particular, I find it rather disappointing that such statements
> were made in Germany...yet nothing of the sort was posted on the
> mailing list.
>
> I could have sworn that ALL public comments were supposed to be
> published on the mailing lists.
>
>  ...jay
>

---

From: Chris Wellens <[email-masked]>
Date: Tue, 19 Aug 1997 21:12:06 -0700 (PDT)

On Mon, 18 Aug 1997, Harry Lewis wrote:

> from the IETF regarding the JMP charter.  

Since we now have a statement from the AD, it probably does not
matter, but just for the record ...  

Lloyd and I as co-Chairs did not ask for a charter for the JMP;
we merely asked that the JMP work be tacked on to the PMP
charter.  This way we thought we could add what would be a small
MIB that would probably have either the same people or a subset
of those people.  Our previous AD said okay, but then apparently
the changes did not go into effect.  The issue next came up when
we submitted updated charters and our new AD said there was no
charter for the JMP.  We said "oh there must be a mistake..."
I know that the IESG has been trying to figure out a good model
for handling the huge number of requests for chartered Working
Groups surrounding MIBs.   I was actually hoping they would put
together a group to define What Makes a Good MIB, and publish a
document, so that interested parties could kind of follow a 
workbook approach.  

If a clear decision had been made and communicated to us, we
would certainly have forwarded it to the jmp list promptly.
It is not productive to guess, speculate, and communicate
partial information to the list that would just get people
anxious and confused and turn out to be wrong in the final
analysis.